%ifarch %{arm} aarch64
%define build_docs   0
%else
%define build_docs   0
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1

%define qtversion    %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtscxml   %mklibname qt5scxml %{qtmajor}
%define libqtscxml_d %mklibname qt5scxml -d

%define qttarballdir qtscxml-everywhere-opensource-src-%{qtversion}

Name:           qtscxml5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} ScXml component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/Libraries
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Upstream patches:

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

%description
The Qt SCXML module provides functionality to create state machines from
SCXML files.

This includes both dynamically creating state machines (loading the SCXML
file and instantiating states and transitions) and generating a C++ file
that has a class implementing the state machine. It also contains
functionality to support data models and executable content.

%files
%doc LICENSE.GPL3-EXCEPT LICENSE.LGPL3
%{_qt5_bindir}/qscxmlc
%{_qt5_qml}/QtScxml/

#------------------------------------------------------------------------------

%if %{build_docs}
%package	doc
Summary:        QtScXml%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtScXml%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtscxml.qch
%{_qt5_docdir}/qtscxml/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtscxml}
Summary:        Qt%{qtmajor} ScXml Component Library
Group:          System/Libraries

%description -n %{libqtscxml}
Qt%{qtmajor} ScXml Component Library.

%files -n %{libqtscxml}
%{_qt5_libdir}/libQt5Scxml.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqtscxml_d}
Summary:        Devel files needed to build apps based on QtScXml
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       %{libqtscxml} = %{version}
Provides:       libqtscxml5-devel = %{version}
Provides:       libqt5scxml-devel = %{version}
Provides:       qtscxml5-devel = %{version}
Provides:       qt5scxml-devel = %{version}

%description -n %{libqtscxml_d}
Devel files needed to build apps based on QtScXml.

%files -n %{libqtscxml_d}
%doc LICENSE.GPL3-EXCEPT LICENSE.LGPL3
%{_qt5_includedir}/QtScxml/
%{_qt5_libdir}/libQt5Scxml.so
%{_qt5_libdir}/pkgconfig/Qt5Scxml.pc
%{_qt5_libdir}/cmake/Qt5Scxml/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_archdatadir}/mkspecs/features/*.prf
%{_qt5_examplesdir}/scxml/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtscxml-everywhere-src-%{qtversion}
%apply_patches

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"; make -j $RPM_BUILD_NCPUS

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version